petsc-3.12.4 2020-02-04
Report Typos and Errors

# SNESVISetVariableBounds

Sets the lower and upper bounds for the solution vector. xl <= x <= xu.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESVISetVariableBounds(SNES snes, Vec xl, Vec xu)

### Input Parameters

| snes | - the SNES context.
| xl | - lower bound.
| xu | - upper bound.

### Notes

If this routine is not called then the lower and upper bounds are set to PETSC_NINFINITY and PETSC_INFINITY respectively during SNESSetUp().

### Level

advanced

### Location

src/snes/impls/vi/vi.c

### Implementations

SNESVISetVariableBounds_VI in src/snes/impls/vi/vi.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages